Get events by contract

Get events for a contract ordered by block number in descending order. Try it with Swagger.

📘

abi field is not suitable for testing. Please try directly in your coding environment.

Path Params
string
required

The address of the contract

Query Params
string
enum
Defaults to eth

The chain to query

integer
≥ 0

The minimum block number from which to get the logs

  • Provide the param 'from_block' or 'from_date'
  • If 'from_date' and 'from_block' are provided, 'from_block' will be used.
integer
≥ 0

The maximum block number from which to get the logs.

  • Provide the param 'to_block' or 'to_date'
  • If 'to_date' and 'to_block' are provided, 'to_block' will be used.
string

The start date from which to get the logs (any format that is accepted by momentjs)

  • Provide the param 'from_block' or 'from_date'
  • If 'from_date' and 'from_block' are provided, 'from_block' will be used.
string

Get the logs up to this date (any format that is accepted by momentjs)

  • Provide the param 'to_block' or 'to_date'
  • If 'to_date' and 'to_block' are provided, 'to_block' will be used.
string
required

The topic of the event

integer
≥ 0

offset

integer
≥ 0

The desired page size of the result.

Body Params

ABI of the specific event

Response

Language
Credentials
Header
Request
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json